Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest
Interface ATestPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ATestPackageImpl

    public interface ATestPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ATestFactory`

Nested Class Summary
`static interface` | `ATestPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CONSTRAINT` The meta object id for the '`Constraint`' class.
`static int` | `CONSTRAINT__AGENT` The feature id for the 'Agent' reference.
`static int` | `CONSTRAINT__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` | `CONSTRAINT__MAX_VALUE` The feature id for the 'Max Value' containment reference.
`static int` | `CONSTRAINT__MEASURE` The feature id for the 'Measure' attribute.
`static int` | `CONSTRAINT__MIN_VALUE` The feature id for the 'Min Value' containment reference.
`static int` | `CONSTRAINT__QUALIFIER` The feature id for the 'Qualifier' reference.
`static int` | `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class.
`static ATestPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `MEASURE` The meta object id for the '`Measure`' enum.
`static int` | `MODEL` The meta object id for the '`Model`' class.
`static int` | `MODEL__CONTAINS` The feature id for the 'Contains' containment reference list.
`static int` | `MODEL__CONTRAINTS` The feature id for the 'Contraints' containment reference list.
`static int` | `MODEL__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `MODEL__NAME` The feature id for the 'Name' attribute.
`static int` | `MODEL__TESTS` The feature id for the 'Tests' containment reference.
`static int` | `MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class.
`static int` | `TEST_MEMBER` The meta object id for the '`Test Member`' class.
`static int` | `TEST_MEMBER__IMPORT_URI` The feature id for the 'Import URI' attribute.
`static int` | `TEST_MEMBER_FEATURE_COUNT` The number of structural features of the 'Test Member' class.
`static int` | `TESTS` The meta object id for the '`Tests`' class.
`static int` | `TESTS__IMPORT_URI` The feature id for the 'Import URI' attribute.
`static int` | `TESTS_FEATURE_COUNT` The number of structural features of the 'Tests' class.

Method Summary
`ATestFactory` | `getATestFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getConstraint_Agent()` Returns the meta object for the reference '`Agent`'.
`org.eclipse.emf.ecore.EReference` | `getConstraint_Attribute()` Returns the meta object for the reference '`Attribute`'.
`org.eclipse.emf.ecore.EReference` | `getConstraint_MaxValue()` Returns the meta object for the containment reference '`Max Value`'.
`org.eclipse.emf.ecore.EAttribute` | `getConstraint_Measure()` Returns the meta object for the attribute '`Measure`'.
`org.eclipse.emf.ecore.EReference` | `getConstraint_MinValue()` Returns the meta object for the containment reference '`Min Value`'.
`org.eclipse.emf.ecore.EReference` | `getConstraint_Qualifier()` Returns the meta object for the reference '`Qualifier`'.
`org.eclipse.emf.ecore.EClass` | `getConstraint()` Returns the meta object for class '`Constraint`'.
`org.eclipse.emf.ecore.EEnum` | `getMeasure()` Returns the meta object for enum '`Measure`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Contains()` Returns the meta object for the containment reference list '`Contains`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Contraints()` Returns the meta object for the containment reference list '`Contraints`'.
`org.eclipse.emf.ecore.EAttribute` | `getModel_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EAttribute` | `getModel_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Tests()` Returns the meta object for the containment reference '`Tests`'.
`org.eclipse.emf.ecore.EClass` | `getModel()` Returns the meta object for class '`Model`'.
`org.eclipse.emf.ecore.EAttribute` | `getTestMember_ImportURI()` Returns the meta object for the attribute '`Import URI`'.
`org.eclipse.emf.ecore.EClass` | `getTestMember()` Returns the meta object for class '`Test Member`'.
`org.eclipse.emf.ecore.EAttribute` | `getTests_ImportURI()` Returns the meta object for the attribute '`Import URI`'.
`org.eclipse.emf.ecore.EClass` | `getTests()` Returns the meta object for class '`Tests`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ATestPackage eINSTANCE

  The singleton instance of the package.

### MODEL

    static final int MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `ModelImpl`, `ATestPackageImpl.getModel()`, Constant Field Values

### MODEL__NAME

    static final int MODEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL__DESCRIPTION

    static final int MODEL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### MODEL__TESTS

    static final int MODEL__TESTS

  The feature id for the 'Tests' containment reference.

  See Also:
    Constant Field Values

### MODEL__CONTRAINTS

    static final int MODEL__CONTRAINTS

  The feature id for the 'Contraints' containment reference list.

  See Also:
    Constant Field Values

### MODEL__CONTAINS

    static final int MODEL__CONTAINS

  The feature id for the 'Contains' containment reference list.

  See Also:
    Constant Field Values

### MODEL_FEATURE_COUNT

    static final int MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### TESTS

    static final int TESTS

  The meta object id for the '`Tests`' class.

  See Also:
    `TestsImpl`, `ATestPackageImpl.getTests()`, Constant Field Values

### TESTS__IMPORT_URI

    static final int TESTS__IMPORT_URI

  The feature id for the 'Import URI' attribute.

  See Also:
    Constant Field Values

### TESTS_FEATURE_COUNT

    static final int TESTS_FEATURE_COUNT

  The number of structural features of the 'Tests' class.

  See Also:
    Constant Field Values

### TEST_MEMBER

    static final int TEST_MEMBER

  The meta object id for the '`Test Member`' class.

  See Also:
    `TestMemberImpl`, `ATestPackageImpl.getTestMember()`, Constant Field Values

### TEST_MEMBER__IMPORT_URI

    static final int TEST_MEMBER__IMPORT_URI

  The feature id for the 'Import URI' attribute.

  See Also:
    Constant Field Values

### TEST_MEMBER_FEATURE_COUNT

    static final int TEST_MEMBER_FEATURE_COUNT

  The number of structural features of the 'Test Member' class.

  See Also:
    Constant Field Values

### CONSTRAINT

    static final int CONSTRAINT

  The meta object id for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `ATestPackageImpl.getConstraint()`, Constant Field Values

### CONSTRAINT__MEASURE

    static final int CONSTRAINT__MEASURE

  The feature id for the 'Measure' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__AGENT

    static final int CONSTRAINT__AGENT

  The feature id for the 'Agent' reference.

  See Also:
    Constant Field Values

### CONSTRAINT__ATTRIBUTE

    static final int CONSTRAINT__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### CONSTRAINT__QUALIFIER

    static final int CONSTRAINT__QUALIFIER

  The feature id for the 'Qualifier' reference.

  See Also:
    Constant Field Values

### CONSTRAINT__MIN_VALUE

    static final int CONSTRAINT__MIN_VALUE

  The feature id for the 'Min Value' containment reference.

  See Also:
    Constant Field Values

### CONSTRAINT__MAX_VALUE

    static final int CONSTRAINT__MAX_VALUE

  The feature id for the 'Max Value' containment reference.

  See Also:
    Constant Field Values

### CONSTRAINT_FEATURE_COUNT

    static final int CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Constraint' class.

  See Also:
    Constant Field Values

### MEASURE

    static final int MEASURE

  The meta object id for the '`Measure`' enum.

  See Also:
    `Measure`, `ATestPackageImpl.getMeasure()`, Constant Field Values

Method Detail

### getModel

    org.eclipse.emf.ecore.EClass getModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Name

    org.eclipse.emf.ecore.EAttribute getModel_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Model.getName()`, `getModel()`

### getModel_Description

    org.eclipse.emf.ecore.EAttribute getModel_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Model.getDescription()`, `getModel()`

### getModel_Tests

    org.eclipse.emf.ecore.EReference getModel_Tests()

  Returns the meta object for the containment reference '`Tests`'.

  Returns:
    the meta object for the containment reference 'Tests'.
  See Also:
    `Model.getTests()`, `getModel()`

### getModel_Contraints

    org.eclipse.emf.ecore.EReference getModel_Contraints()

  Returns the meta object for the containment reference list '`Contraints`'.

  Returns:
    the meta object for the containment reference list 'Contraints'.
  See Also:
    `Model.getContraints()`, `getModel()`

### getModel_Contains

    org.eclipse.emf.ecore.EReference getModel_Contains()

  Returns the meta object for the containment reference list '`Contains`'.

  Returns:
    the meta object for the containment reference list 'Contains'.
  See Also:
    `Model.getContains()`, `getModel()`

### getTests

    org.eclipse.emf.ecore.EClass getTests()

  Returns the meta object for class '`Tests`'.

  Returns:
    the meta object for class 'Tests'.
  See Also:
    `Tests`

### getTests_ImportURI

    org.eclipse.emf.ecore.EAttribute getTests_ImportURI()

  Returns the meta object for the attribute '`Import URI`'.

  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Tests.getImportURI()`, `getTests()`

### getTestMember

    org.eclipse.emf.ecore.EClass getTestMember()

  Returns the meta object for class '`Test Member`'.

  Returns:
    the meta object for class 'Test Member'.
  See Also:
    `TestMember`

### getTestMember_ImportURI

    org.eclipse.emf.ecore.EAttribute getTestMember_ImportURI()

  Returns the meta object for the attribute '`Import URI`'.

  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `TestMember.getImportURI()`, `getTestMember()`

### getConstraint

    org.eclipse.emf.ecore.EClass getConstraint()

  Returns the meta object for class '`Constraint`'.

  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Measure

    org.eclipse.emf.ecore.EAttribute getConstraint_Measure()

  Returns the meta object for the attribute '`Measure`'.

  Returns:
    the meta object for the attribute 'Measure'.
  See Also:
    `Constraint.getMeasure()`, `getConstraint()`

### getConstraint_Agent

    org.eclipse.emf.ecore.EReference getConstraint_Agent()

  Returns the meta object for the reference '`Agent`'.

  Returns:
    the meta object for the reference 'Agent'.
  See Also:
    `Constraint.getAgent()`, `getConstraint()`

### getConstraint_Attribute

    org.eclipse.emf.ecore.EReference getConstraint_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Constraint.getAttribute()`, `getConstraint()`

### getConstraint_Qualifier

    org.eclipse.emf.ecore.EReference getConstraint_Qualifier()

  Returns the meta object for the reference '`Qualifier`'.

  Returns:
    the meta object for the reference 'Qualifier'.
  See Also:
    `Constraint.getQualifier()`, `getConstraint()`

### getConstraint_MinValue

    org.eclipse.emf.ecore.EReference getConstraint_MinValue()

  Returns the meta object for the containment reference '`Min Value`'.

  Returns:
    the meta object for the containment reference 'Min Value'.
  See Also:
    `Constraint.getMinValue()`, `getConstraint()`

### getConstraint_MaxValue

    org.eclipse.emf.ecore.EReference getConstraint_MaxValue()

  Returns the meta object for the containment reference '`Max Value`'.

  Returns:
    the meta object for the containment reference 'Max Value'.
  See Also:
    `Constraint.getMaxValue()`, `getConstraint()`

### getMeasure

    org.eclipse.emf.ecore.EEnum getMeasure()

  Returns the meta object for enum '`Measure`'.

  Returns:
    the meta object for enum 'Measure'.
  See Also:
    `Measure`

### getATestFactory

    ATestFactory getATestFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD